## ros-noetic-socketcan-bridge 0.8.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(socketcan_bridge)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(catkin REQUIRED
  COMPONENTS
    can_msgs
    rosconsole_bridge
    roscpp
    socketcan_interface
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    socketcan_to_topic
    topic_to_socketcan
  CATKIN_DEPENDS
    can_msgs
    rosconsole_bridge
    roscpp
    socketcan_interface
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)


# socketcan_to_topic
add_library(socketcan_to_topic
  src/rosconsole_bridge.cpp
  src/socketcan_to_topic.cpp
)
target_link_libraries(socketcan_to_topic
  ${catkin_LIBRARIES}
)
add_dependencies(socketcan_to_topic
  ${catkin_EXPORTED_TARGETS}
)

# topic_to_socketcan
add_library(topic_to_socketcan
  src/rosconsole_bridge.cpp
  src/topic_to_socketcan.cpp
)
target_link_libraries(topic_to_socketcan
  ${catkin_LIBRARIES}
)
add_dependencies(topic_to_socketcan
  ${catkin_EXPORTED_TARGETS}
)

# socketcan_to_topic_node
add_executable(socketcan_to_topic_node
  src/socketcan_to_topic_node.cpp
)
target_link_libraries(socketcan_to_topic_node
  socketcan_to_topic
  ${catkin_LIBRARIES}
)

# topic_to_socketcan_node
add_executable(topic_to_socketcan_node
  src/topic_to_socketcan_node.cpp

)
target_link_libraries(topic_to_socketcan_node
  topic_to_socketcan
  ${catkin_LIBRARIES}
)

# socketcan_bridge_node
add_executable(${PROJECT_NAME}_node
  src/${PROJECT_NAME}_node.cpp
)
target_link_libraries(${PROJECT_NAME}_node
  topic_to_socketcan
  socketcan_to_topic
  ${catkin_LIBRARIES}
)

install(
  TARGETS
    ${PROJECT_NAME}_node
    socketcan_to_topic
    socketcan_to_topic_node
    topic_to_socketcan
    topic_to_socketcan_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslint REQUIRED)

  roslint_cpp()
  roslint_add_test()

  # unit test for the can_msgs::Frame and can::Frame types.
  catkin_add_gtest(test_conversion
    test/test_conversion.cpp
  )
  target_link_libraries(test_conversion
    topic_to_socketcan
    socketcan_to_topic
    ${catkin_LIBRARIES}
  )


  add_rostest_gtest(test_to_socketcan
    test/to_socketcan.test
    test/to_socketcan_test.cpp
  )
  target_link_libraries(test_to_socketcan
    topic_to_socketcan
    ${catkin_LIBRARIES}
  )

  add_rostest_gtest(test_to_topic
    test/to_topic.test
    test/to_topic_test.cpp
  )
  target_link_libraries(test_to_topic
    socketcan_to_topic
    topic_to_socketcan
    ${catkin_LIBRARIES}
  )

endif()

=== debian/changelog ===
ros-noetic-socketcan-bridge (0.8.5-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.4-1buster) buster; urgency=high

  * pass settings from ROS node to SocketCANInterface
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.3-1buster) buster; urgency=high

  * add includes to <memory>
  * Bump CMake version to avoid CMP0048 warning
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Mathias Lüdtke, ahcorde

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 06 May 2020 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.2-1buster) buster; urgency=high

  * fix roslint errors in socketcan_bridge
  * run roslint as part of run_tests
  * enable rosconsole_bridge bindings
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-noetic-socketcan-bridge (0.8.1-1buster) buster; urgency=high

  * Added configurable queue sizes
  * Set C++ standard to c++14
  * implemented create*ListenerM helpers
  * Replacing FastDelegate with std::function and std::bind.
  * Contributors: Harsh Deshpande, JeremyZoss, Joshua Whitley, Mathias Lüdtke, rchristopher

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-noetic-socketcan-bridge (0.8.0-1buster) buster; urgency=high

  * keep NodeHandle alive in socketcan_bridge tests
  * migrated to std::function and std::bind
  * migrated to std pointers
  * compare can_msgs::Frame and can::Frame properly
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 10 Jul 2018 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.8-1buster) buster; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.7-1buster) buster; urgency=high

  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * address catkin_lint errors/warnings
  * protect tests from accessing front() or back() of empty list
  * added checkMaskFilter for socketcan_bridge
  * remove isValid work-around
  * added unit test for can id pass filter
  * add CAN filter to socketcan_bridge nodes
  * Contributors: Benjamin Maidel, Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.6-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.5-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.4-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.3-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.2-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-noetic-socketcan-bridge (0.7.1-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-noetic-socketcan-bridge (0.7.0-1buster) buster; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-socketcan-bridge (0.6.5-1buster) buster; urgency=high

  * hamonized versions
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * Removes gtest from test dependencies.
    This dependency is covered by the rosunit dependency.
  * Removes dependency on Boost, adds rosunit dependency.
    The dependency on Boost was unnecessary, rosunit is required for gtest.
  * Improves StateInterface implementation of the DummyInterface.
    The doesLoopBack() method now returns the correct value. A state change is
    correctly dispatched when the init() method is called.
  * Changes the exit code of the nodes if device init fails.
    Now exits with 1 if the initialization of the can device fails.
  * Changes the frame field for the published messages.
    An empty frame name is more commonly used to denote that there is no frame
    associated with the message.
  * Changes return type of setup() method.
    Setup() calls the CreateMsgListener and CreateStateListener, it does not attempt
    to verify if the interface is ready, which makes void more applicable.
  * Cleanup, fixes and improvements in CmakeLists.
    Adds the REQUIRED COMPONENTS packages to the CATKIN_DEPENDS.
    Improves add_dependency on the messages to be built.
    Removes unnecessary FILES_MATCHING.
    Moves the roslint_cpp macro to the testing block.
  * Finalizes work on the socketcan_bridge and can_msgs.
    Readies the packages socketcan_bridge and can_msgs for the merge with ros_canopen.
    Bumps the version for both packages to 0.1.0. Final cleanup in CMakeLists, added
    comments to the shell script and launchfile used for testing.
  * Adds tests for socketcan_bridge and bugfixes.
    Uses rostests and the modified DummyInterface to test whether behaviour
    is correct. Prevented possible crashes when can::tostring was called on
    invalid frames.
  * Adds conversion test between msg and SocketCAN Frame.
    This test only covers the conversion between the can_msgs::Frame message and can::Frame from SocketCAN.
  * Introduces topic_to_socketcan and the bridge.


=== debian/control ===
Source: ros-noetic-socketcan-bridge
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-can-msgs, ros-noetic-catkin, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rostest, ros-noetic-rosunit, ros-noetic-socketcan-interface
Homepage: http://wiki.ros.org/socketcan_bridge
Standards-Version: 3.9.2

Package: ros-noetic-socketcan-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-can-msgs, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-socketcan-interface
Description: Conversion nodes for messages from SocketCAN to a ROS Topic and vice versa.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-socketcan-bridge//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
